/* explode.c (emx+gcc) */

#include <stdio.h>
#include <stdlib.h>

int main (int argc, char *argv[])
{
  int i, j;
  char **list;

  for (i = 1; i < argc; ++i)
    {
      list = _fnexplode (argv[i]);
      if (list != NULL)
        {
          for (j = 0; list[j] != NULL; ++j)
            puts (list[j]);
          _fnexplodefree (list);
        }
    }
  return 0;
}
